Last Comment Bug 760970 - Custom menu button hard to press after recent redesign
: Custom menu button hard to press after recent redesign
Status: VERIFIED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: 15 Branch
: ARM Android
: -- major (vote)
: Firefox 16
Assigned To: Sriram Ramasubramanian [:sriram]
:
Mentors:
: 761579 762236 (view as bug list)
Depends on:
Blocks: 739407 760090 763851
  Show dependency treegraph
 
Reported: 2012-06-03 03:56 PDT by Michael Monreal [:monreal]
Modified: 2013-10-18 16:23 PDT (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Nightly (06/03) - Touch Area (54.58 KB, image/png)
2012-06-03 09:04 PDT, Aaron Train [:aaronmt]
no flags Details
Nightly (06/03) - Menu button down (50.38 KB, image/png)
2012-06-03 09:07 PDT, Aaron Train [:aaronmt]
no flags Details
Patch (1/2): Menu button resize (6.85 KB, patch)
2012-06-07 22:22 PDT, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review
Patch (2/2): Optimize the orange color (20.11 KB, patch)
2012-06-07 22:40 PDT, Sriram Ramasubramanian [:sriram]
mark.finkle: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review
Screenshot: Comparison (21.94 KB, image/png)
2012-06-07 22:42 PDT, Sriram Ramasubramanian [:sriram]
no flags Details

Description Michael Monreal [:monreal] 2012-06-03 03:56:44 PDT
In recent builds featuring the redesigned UI, the menu button moved to the left of the new tab button and is very hard to press now. The touch target should be larger. Also, the target seems to be only on the left side of the button right now, as pressing on the middle/right activates the new tab button.
Comment 1 Aaron Train [:aaronmt] 2012-06-03 09:01:42 PDT
Agreed, running into this too on my Galaxy Nexus (Android 4.0.4). Sriram?
Comment 2 Aaron Train [:aaronmt] 2012-06-03 09:04:57 PDT
Created attachment 629611 [details]
Nightly (06/03) - Touch Area

Attached is a screenshot with visible touch feedback enabled on Android 4.0.4 - the target sampled in the zone in the screenshot is overlaid over the menu button but triggers the 'new tab' button.
Comment 3 Aaron Train [:aaronmt] 2012-06-03 09:07:44 PDT
Created attachment 629612 [details]
Nightly (06/03) - Menu button down

More obvious with button-down highlight ...
Comment 4 Sriram Ramasubramanian [:sriram] 2012-06-03 11:21:04 PDT
The width is 36dp on portrait mode. This should be 48dp to match the height of the action bar. Also, it should on top of the tabs-button (with a transparent background), to avoid accidental touches being delivered to tabs button (especially when hitting the curve).
Comment 5 Aaron Train [:aaronmt] 2012-06-05 08:39:51 PDT
*** Bug 761579 has been marked as a duplicate of this bug. ***
Comment 6 Aaron Train [:aaronmt] 2012-06-06 13:56:47 PDT
*** Bug 762236 has been marked as a duplicate of this bug. ***
Comment 7 Sriram Ramasubramanian [:sriram] 2012-06-07 22:22:06 PDT
Created attachment 631272 [details] [diff] [review]
Patch (1/2): Menu button resize

This patch resizes the menu button to be square, and places it on top of the tabs button. The touch goes to menu button and not to tabs.
Comment 8 Sriram Ramasubramanian [:sriram] 2012-06-07 22:40:22 PDT
Created attachment 631274 [details] [diff] [review]
Patch (2/2): Optimize the orange color

This patch optimizes the orange color used. I felt we are using way too many orange highlight, even though they don't come with a texture. The other problem is they are not scalable.

I'll attach a screenshot with differences soon.
Comment 9 Sriram Ramasubramanian [:sriram] 2012-06-07 22:42:58 PDT
Created attachment 631275 [details]
Screenshot: Comparison

This shows the difference between the two.
Basically they both don't have any difference.
Ian's resource has a 1pixel yellow color on the top, that merges with the background's top 1px inside glow color.
Given the fact that this is going to be "under" the finger, and not going to be visible to the user much when he press, I guess we can use a gradient and kill 15 resources in the name of https://areweslimyet.com/
Comment 12 Ian Barlow (:ibarlow) 2012-06-08 06:00:00 PDT
I know this is resolved already, but I just wanted to add that I am happy to see a gradient selection applied in code rather than with a bunch of different images. I too am a fan of efficiency. Sometimes. :)
Comment 13 Catalin Suciu [:csuciu] 2012-06-12 07:35:25 PDT
Verified fixed on Nightly 16.0a1 (2012-06-12)
Samsung Galaxy SII (2.3.4)
Comment 14 Sriram Ramasubramanian [:sriram] 2012-06-18 16:00:16 PDT
Comment on attachment 631272 [details] [diff] [review]
Patch (1/2): Menu button resize

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
User impact if declined: Soft Menu button will be hard to press on Nexus.
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): 
String or UUID changes made by this patch:
Comment 15 Sriram Ramasubramanian [:sriram] 2012-06-18 16:00:48 PDT
Comment on attachment 631274 [details] [diff] [review]
Patch (2/2): Optimize the orange color

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
User impact if declined: More resources will be used unnecessarily.
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): 
String or UUID changes made by this patch:
Comment 16 Alex Keybl [:akeybl] 2012-06-19 19:16:50 PDT
Comment on attachment 631272 [details] [diff] [review]
Patch (1/2): Menu button resize

[Triage Comment]
Little risk this early in the cycle.

Note You need to log in before you can comment on or make changes to this bug.